<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Sun Sep 04 21:07:37 CEST 2022 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-09-04">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">H</a>&nbsp;<a href="index-5.html">L</a>&nbsp;<a href="index-6.html">M</a>&nbsp;<a href="index-7.html">P</a>&nbsp;<a href="index-8.html">S</a>&nbsp;<a href="index-9.html">T</a>&nbsp;<a href="index-10.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../module/Personne.html#setAdresse(java.lang.String)" class="member-name-link">setAdresse(String)</a> - Method in class module.<a href="../module/Personne.html" title="class in module">Personne</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Medicament.html#setCategorie(java.lang.String)" class="member-name-link">setCategorie(String)</a> - Method in class module.<a href="../module/Medicament.html" title="class in module">Medicament</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Achat.html#setClient(module.Client)" class="member-name-link">setClient(Client)</a> - Method in class module.<a href="../module/Achat.html" title="class in module">Achat</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Personne.html#setCodePostal(java.lang.String)" class="member-name-link">setCodePostal(String)</a> - Method in class module.<a href="../module/Personne.html" title="class in module">Personne</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Medicament.html#setDate_MeS(java.time.LocalDate)" class="member-name-link">setDate_MeS(LocalDate)</a> - Method in class module.<a href="../module/Medicament.html" title="class in module">Medicament</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Achat.html#setDateAchat(java.time.LocalDate)" class="member-name-link">setDateAchat(LocalDate)</a> - Method in class module.<a href="../module/Achat.html" title="class in module">Achat</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Client.html#setDateNaissance(java.time.LocalDate)" class="member-name-link">setDateNaissance(LocalDate)</a> - Method in class module.<a href="../module/Client.html" title="class in module">Client</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Mutuelle.html#setDepartement(java.lang.String)" class="member-name-link">setDepartement(String)</a> - Method in class module.<a href="../module/Mutuelle.html" title="class in module">Mutuelle</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Personne.html#setEmail(java.lang.String)" class="member-name-link">setEmail(String)</a> - Method in class module.<a href="../module/Personne.html" title="class in module">Personne</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Liste.html#setListeAchat(java.util.ArrayList)" class="member-name-link">setListeAchat(ArrayList&lt;Achat&gt;)</a> - Method in class module.<a href="../module/Liste.html" title="class in module">Liste</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Liste.html#setListeClient(java.util.ArrayList)" class="member-name-link">setListeClient(ArrayList&lt;Client&gt;)</a> - Method in class module.<a href="../module/Liste.html" title="class in module">Liste</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/HistoriqueAchats.html#setListeHistoriqueAchat(java.util.ArrayList)" class="member-name-link">setListeHistoriqueAchat(ArrayList&lt;ArrayList&lt;Achat&gt;&gt;)</a> - Method in class module.<a href="../module/HistoriqueAchats.html" title="class in module">HistoriqueAchats</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Liste.html#setListeMedecin(java.util.ArrayList)" class="member-name-link">setListeMedecin(ArrayList&lt;Medecin&gt;)</a> - Method in class module.<a href="../module/Liste.html" title="class in module">Liste</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Liste.html#setListeMedicament(java.util.ArrayList)" class="member-name-link">setListeMedicament(ArrayList&lt;Medicament&gt;)</a> - Method in class module.<a href="../module/Liste.html" title="class in module">Liste</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Liste.html#setListeSpecialiste(java.util.ArrayList)" class="member-name-link">setListeSpecialiste(ArrayList&lt;Specialiste&gt;)</a> - Method in class module.<a href="../module/Liste.html" title="class in module">Liste</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Achat.html#setMedicament(module.Medicament)" class="member-name-link">setMedicament(Medicament)</a> - Method in class module.<a href="../module/Achat.html" title="class in module">Achat</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Client.html#setMutuelle(java.lang.String)" class="member-name-link">setMutuelle(String)</a> - Method in class module.<a href="../module/Client.html" title="class in module">Client</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Medicament.html#setNom(java.lang.String)" class="member-name-link">setNom(String)</a> - Method in class module.<a href="../module/Medicament.html" title="class in module">Medicament</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Personne.html#setNom(java.lang.String)" class="member-name-link">setNom(String)</a> - Method in class module.<a href="../module/Personne.html" title="class in module">Personne</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Medecin.html#setNumAgreement(int)" class="member-name-link">setNumAgreement(int)</a> - Method in class module.<a href="../module/Medecin.html" title="class in module">Medecin</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Client.html#setNumSecu(java.lang.String)" class="member-name-link">setNumSecu(String)</a> - Method in class module.<a href="../module/Client.html" title="class in module">Client</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Personne.html#setPrenom(java.lang.String)" class="member-name-link">setPrenom(String)</a> - Method in class module.<a href="../module/Personne.html" title="class in module">Personne</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Medicament.html#setPrix(double)" class="member-name-link">setPrix(double)</a> - Method in class module.<a href="../module/Medicament.html" title="class in module">Medicament</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Medicament.html#setQuantite(int)" class="member-name-link">setQuantite(int)</a> - Method in class module.<a href="../module/Medicament.html" title="class in module">Medicament</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Achat.html#setQuantite(java.lang.String)" class="member-name-link">setQuantite(String)</a> - Method in class module.<a href="../module/Achat.html" title="class in module">Achat</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Specialiste.html#setSpecialite(java.lang.String)" class="member-name-link">setSpecialite(String)</a> - Method in class module.<a href="../module/Specialiste.html" title="class in module">Specialiste</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Mutuelle.html#setTaux(int)" class="member-name-link">setTaux(int)</a> - Method in class module.<a href="../module/Mutuelle.html" title="class in module">Mutuelle</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Personne.html#setTelephone(java.lang.String)" class="member-name-link">setTelephone(String)</a> - Method in class module.<a href="../module/Personne.html" title="class in module">Personne</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Personne.html#setVille(java.lang.String)" class="member-name-link">setVille(String)</a> - Method in class module.<a href="../module/Personne.html" title="class in module">Personne</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/HistoriqueAchats.html#size()" class="member-name-link">size()</a> - Method in class module.<a href="../module/HistoriqueAchats.html" title="class in module">HistoriqueAchats</a></dt>
<dd>
<div class="block">Methode servant Ã  rÃ©cupÃ©rer le nombre de liste d'achat dans l'historique
servant pour l'affichage dans le panel HistoriqueDesAchats</div>
</dd>
<dt><a href="../module/Specialiste.html" class="type-name-link" title="class in module">Specialiste</a> - Class in <a href="../module/package-summary.html">module</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../module/Specialiste.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,java.lang.String)" class="member-name-link">Specialiste(String, String, String, String, String, String, String, int, String)</a> - Constructor for class module.<a href="../module/Specialiste.html" title="class in module">Specialiste</a></dt>
<dd>
<div class="block">Constructeur de ma classe</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">H</a>&nbsp;<a href="index-5.html">L</a>&nbsp;<a href="index-6.html">M</a>&nbsp;<a href="index-7.html">P</a>&nbsp;<a href="index-8.html">S</a>&nbsp;<a href="index-9.html">T</a>&nbsp;<a href="index-10.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
